Bug 101356 - Loading of Red Hat sometimes is halted
Loading of Red Hat sometimes is halted
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 00:16 EDT by Eugenia Loli-Queru
Modified: 2015-01-04 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 19:25:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugenia Loli-Queru 2003-07-31 00:16:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Just right after the "enabling SWAP space [OK]" message, Red Hat Linux Severn B1
stops loading anything more. It happens almost half of my reboots. Disabling
Kudzu in the Services helps a lot it seems (I don't get the problem as often)! I
am not sure if it is a Kudzu or an init bug, so I file it on init.

The machine is not dead, I can use the keyboard and all (of course there is no
bash at that point yet so I can't do much), it just seems to be halted and not
moving to load INIT:5

Please note that this is an SMP machine and the swap space is on hdd2. Red Hat's
/ is on hdc10.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Just load Red Hat and watch it fail half of the times.
2.
3.
    

Actual Results:  Machine is halted

Expected Results:  To boot Red Hat Linux Severn and load the next item which is
the INIT:5 stage

Additional info:

SMP 2x533 Celeron, ABIT BP6, ATA-33 controllers (I am not using the crappy
HPT366 that the mobo is also coming with, but the Intel BX native IDE
controllers), 256 MB SDRAM, Matrox G400 AGP 32 MB, SBLive!, 3Com NIC, RHL's / is
on an IBM 30 GB disk, 512 MB swap is on a 10 GB Fujitsu.
Comment 1 Bill Nottingham 2003-07-31 00:47:21 EDT
If you turn on sysrq, what does sysrq-t, sysrq-p, and sysrq-m say?
Comment 2 Eugenia Loli-Queru 2003-09-08 14:12:14 EDT
>If you turn on sysrq, what does sysrq-t, sysrq-p, and sysrq-m say?

The requested info sent to your email account a month ago. Thanks for taking a
look at it.

BTW, just today I noticed something that it might shed some light to the
mystery. On the same disk, same PC, I have also installed Mandrake 9.2. So,
Mandrake ALSO STALLS after its version of kudzu is loeaded, just the Severn
does, 2 partitions away. This weird behavior started when I installed Red Hat
Severn, _nothing_ else has changed to that PC. Before I install Severn, Mandrake
would load fine. Now, it just stalls there, just like Severn does.

It seems that kudzu gets confused when a "similar" distro is installed on the
same disk. Could you confirm?
Comment 3 Bill Nottingham 2003-09-08 14:18:04 EDT
No, I really don't have lots of copies of alternative distros to install against.
As for 'info sent to my e-mail account', *please* put all correspondence in the
bug report; this saves it for easy reference in the future.

Does it make any difference whether it's a warm or cold boot?
Comment 4 Eugenia Loli-Queru 2003-09-08 14:37:50 EDT
>As for 'info sent to my e-mail account', *please* put all correspondence in the
bug report; 

Unfortunately, I don't have that text file anymore with the sysrq output. It was
sent from hotmail one day before i leave for vacations on July (I had to type it
all in as there was no way I could save down the output), so I don't have it
anymore to paste it here. Should be in your email archives though if it will be
really needed. Sorry for the mix up. ;-)

>Does it make any difference whether it's a warm or cold boot?

Yup, it seems to help. I was able to login to both Mandrake and Severn when in
cold boot, but not when warm booting.
Comment 5 Bill Nottingham 2003-09-08 14:51:48 EDT
If you boot with 'acpi=off', and *then* do a warm boot, does it boot ok?
Comment 6 Eugenia Loli-Queru 2003-09-08 15:10:49 EDT
Yup, it booted.
So, I boot the first time, I tell it "linux acpi=off" in the LILO command line,
it hanged, I reset, and then it booted normally with no hangs.

If this is acpi's fault, weird that it happens on both mandrake and Severn, only
when they are both installed on the same machine. Didn't have such problems
before with Kudzu... :o
Comment 7 Bill Nottingham 2003-09-08 15:20:17 EDT
Hm, so it didn't boot at all without acpi, odd.

In any case, the fact that it hangs on warm boot but not cold boot implies some
interaction between your BIOS and the kernel's shutdown/initialization code;
this reallly can't be worked around in the context of kudzu.
Comment 8 Eugenia Loli-Queru 2003-09-08 15:26:09 EDT
>Hm, so it didn't boot at all without acpi, odd.

Erm, probably you misunderstood, the kernel did boot - it always boots -, it's
just that Severn hanged in the usual place that I filed this bug report on, when
Kudzu runs! In other words, with acpi on or off, kudzu is the one that hangs,
not the kernel... Could you search to find my email with the sysrq stuff I sent
you at the end of July? In the attached text file I sent you back then, you will
see that Kudzu has a few problems...
Comment 9 Dave Jones 2004-10-29 19:25:38 EDT
FC1 = EOL.

Note You need to log in before you can comment on or make changes to this bug.